GetScriptVersionRelease - F4SE

From Creation Kit
Jump to: navigation, search

F4SE Member of: F4SE Script
Requires F4SE version 0.2.0 or higher.

Gets the current script version of F4SE's scripts. This can be used to detect a script/runtime version mismatch.

Syntax

int Function GetScriptVersionRelease() Global

Parameters

None

Return Value

The current script version of F4SE's scripts.

Examples

int iScript = F4SE.GetScriptVersionRelease()
Debug.Notification("F4SE script version: " + iScript)
If (F4SE.GetScriptVersionRelease() > 6)
    Debug.Notification("We support your installation of F4SE!")
EndIf

Notes

None

See Also